2019-03-22 07:02 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002117NetSurfFramebuffer-specificpublic2015-03-10 11:13
ReporterMichael Drake 
Assigned ToVincent Sanders 
SeverityfeatureReproducibilityN/A 
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS VersionLinux
Product Version3.1 
Target Version3.2Fixed in Version3.2 
Summary0002117: Generated source file for internal font in source tree
DescriptionGenerated source file for internal font is not generated as part of build process.

framebuffer/GEN_font_internal.c is generated from framebuffer/res/fonts/glyph_data

The generation should be part of the build process, but it currently is not.
Steps To Reproducemake TARGET=framebuffer

with font set to "internal"
TagsNo tags attached.
Fixed in CI build #2053
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000449

Vincent Sanders (administrator)

fixed up convert_font to be built and run from framebuffer makefile
Vincent Sanders

~0000724

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-05-06 20:54 Michael Drake New Issue
2014-05-07 09:40 Vincent Sanders Assigned To => Vincent Sanders
2014-05-07 09:40 Vincent Sanders Severity minor => feature
2014-05-07 09:40 Vincent Sanders Status new => confirmed
2014-08-03 14:59 Daniel Silverstone Target Version => 3.2
2014-08-17 23:11 Vincent Sanders Fixed in CI build # => 2053
2014-08-17 23:11 Vincent Sanders Note Added: 0000449
2014-08-17 23:11 Vincent Sanders Status confirmed => resolved
2014-08-17 23:11 Vincent Sanders Resolution open => fixed
2014-08-17 23:11 Vincent Sanders Fixed in Version => 3.2
2015-03-10 11:13 Vincent Sanders Note Added: 0000724
2015-03-10 11:13 Vincent Sanders Status resolved => closed
+Issue History